Bug 833458 - Kopete crash after update, when trying to add Jabber account
Kopete crash after update, when trying to add Jabber account
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ucommon (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: David Sugar
Fedora Extras Quality Assurance
:
: 824267 833733 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 09:57 EDT by Max
Modified: 2012-08-09 13:59 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 19:37:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.53 KB, text/plain)
2012-07-02 23:04 EDT, rob.dyck
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 301977 None None None 2012-06-27 04:47:25 EDT

  None (edit)
Description Max 2012-06-19 09:57:42 EDT
Description of problem:

After update, kopete not starting.

I'v deleted 
~/.kde/share/apps/kopete*
and
~/.kde/share/config/kopete*

Now oopete starting, but every time I try to add Jabber account it crushes. Added ICQ and Skype accounts with no problems.

Additional info:

kdenetwork-kopete-4.8.3-1.fc17.x86_64
kdenetwork-kopete-libs-4.8.3-1.fc17.x86_64
qca2-2.0.3-3.fc17.x86_64
qca-ossl-2.0.0-0.15.beta3.fc17.x86_64



[max@workstation ~]$ kopete(8422)/libkopete Kopete::PluginManager::loadPluginInternal: Unable to find a plugin named ' "" '! 
kopete(8422) OscarStatusManager::onlineStatusOf: Kopete::OnlineStatus doesn't exists for internal status  278  Using basic status for type  6 

kopete(8422) OscarStatusManager::onlineStatusOf: Kopete::OnlineStatus doesn't exists for internal status  278  Using basic status for type  6 

kopete(8422) OscarStatusManager::onlineStatusOf: Kopete::OnlineStatus doesn't exists for internal status  278  Using basic status for type  6 

QObject::connect: Cannot connect (null)::onlineStatusChanged(Kopete::Contact*,Kopete::OnlineStatus,Kopete::OnlineStatus) to Kopete::Identity::updateOnlineStatus()
*** buffer overflow detected ***: kopete terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x3c163097e7]
/lib64/libc.so.6[0x3c163079a0]
/lib64/libcommoncpp.so.5(+0x23793)[0x7f2d32e9c793]
/lib64/libcommoncpp.so.5(_ZN3ost8IPV4HostC1EPKc+0xa8)[0x7f2d32e9cf18]
/lib64/libcommoncpp.so.5(+0x200e1)[0x7f2d32e990e1]
/lib64/ld-linux-x86-64.so.2[0x3c15a0ee26]
/lib64/ld-linux-x86-64.so.2[0x3c15a0eee0]
/lib64/ld-linux-x86-64.so.2[0x3c15a1328d]
/lib64/ld-linux-x86-64.so.2[0x3c15a0ecb6]
/lib64/ld-linux-x86-64.so.2[0x3c15a12b2c]
/lib64/libdl.so.2[0x3c16601016]
/lib64/ld-linux-x86-64.so.2[0x3c15a0ecb6]
/lib64/libdl.so.2[0x3c1660162c]
/lib64/libdl.so.2(dlopen+0x31)[0x3c166010b1]
/lib64/libQtCore.so.4[0x3c203682bc]
/lib64/libQtCore.so.4[0x3c2036500a]
/lib64/libQtCore.so.4[0x3c203652eb]
/lib64/libkdecore.so.5(_ZN13KPluginLoader4loadEv+0x58)[0x35f5e13328]
/lib64/libkdecore.so.5(_ZN13KPluginLoader7factoryEv+0x27)[0x35f5e135f7]
/lib64/libkopete.so.4(_ZN6Kopete13PluginManager18loadPluginInternalERK7QString+0x26d)[0x36ddcd8e4d]
/lib64/libkopete.so.4(_ZN6Kopete13PluginManager10loadPluginERK7QStringNS0_14PluginLoadModeE+0x56)[0x36ddcd9f46]
/lib64/libkopeteaddaccountwizard.so.1(_ZN16AddAccountWizard4nextEv+0x151)[0x36de006e01]
/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2bf)[0x3c2038cb9f]
/lib64/libkdeui.so.5(_ZN7KDialog17slotButtonClickedEi+0x148)[0x35f67a6918]
/lib64/libkdeui.so.5[0x35f67a6e34]
/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2bf)[0x3c2038cb9f]
/lib64/libQtCore.so.4(_ZN13QSignalMapper6mappedEi+0x2e)[0x3c203916ee]                                                                                  
/lib64/libQtCore.so.4(_ZN13QSignalMapper3mapEP7QObject+0x145)[0x3c203918f5]                                                                            
/lib64/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x2bf)[0x3c2038cb9f]                                                                 
/lib64/libQtGui.so.4(_ZN15QAbstractButton7clickedEb+0x32)[0x3167a2ece2]
/lib64/libQtGui.so.4[0x3167782fde]
/lib64/libQtGui.so.4[0x31677835e0]
/lib64/libQtGui.so.4(_ZN15QAbstractButton17mouseReleaseEventEP11QMouseEvent+0x8c)[0x316778384c]
/lib64/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x7e0)[0x3167419b50]
/lib64/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xac)[0x31673ca37c]
/lib64/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x99b)[0x31673cf05b]
/lib64/libkdeui.so.5(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x36)[0x35f6845a56]
/lib64/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8e)[0x3c203763ee]
/lib64/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+0x14b)[0x31673cb1bb]
/lib64/libQtGui.so.4[0x3167445894]
/lib64/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xb11)[0x3167444621]
/lib64/libQtGui.so.4[0x316746a60c]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x135)[0x3c15e476e5]
/lib64/libglib-2.0.so.0[0x3c15e47a18]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x3c15e47ad4]
/lib64/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x66)[0x3c203a44e6]
/lib64/libQtGui.so.4[0x316746a2ee]
/lib64/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x2f)[0x3c2037513f]
/lib64/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x138)[0x3c203753c8]
/lib64/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x88)[0x3c2037a1b8]
kopete[0x4138bb]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x3c16221735]
kopete[0x413921]
======= Memory map: ========
00400000-00435000 r-xp 00000000 08:01 408382                             /usr/bin/kopete
00635000-0068f000 rw-p 00035000 08:01 408382                             /usr/bin/kopete
010ba000-01120000 rw-p 00000000 00:00 0                                  [heap]
01120000-02053000 rw-p 00000000 00:00 0                                  [heap]
3166e00000-3166e33000 r-xp 00000000 08:01 394150                         /usr/lib64/libfontconfig.so.1.4.4
3166e33000-3167033000 ---p 00033000 08:01 394150                         /usr/lib64/libfontconfig.so.1.4.4
3167033000-3167034000 r--p 00033000 08:01 394150                         /usr/lib64/libfontconfig.so.1.4.4
3167034000-3167035000 rw-p 00034000 08:01 394150                         /usr/lib64/libfontconfig.so.1.4.4
3167200000-3167c55000 r-xp 00000000 08:01 410504                         /usr/lib64/libQtGui.so.4.8.2
3167c55000-3167e55000 ---p 00a55000 08:01 410504                         /usr/lib64/libQtGui.so.4.8.2
3167e55000-3167e9e000 rw-p 00a55000 08:01 410504                         /usr/lib64/libQtGui.so.4.8.2
3167e9e000-3167ea1000 rw-p 00000000 00:00 0 
3168000000-3168014000 r-xp 00000000 08:01 413565                         /usr/lib64/libXft.so.2.3.0
3168014000-3168213000 ---p 00014000 08:01 413565                         /usr/lib64/libXft.so.2.3.0
3168213000-3168214000 r--p 00013000 08:01 413565                         /usr/lib64/libXft.so.2.3.0
3168214000-3168215000 rw-p 00014000 08:01 413565                         /usr/lib64/libXft.so.2.3.0
3168400000-3168430000 r-xp 00000000 08:01 413567                         /usr/lib64/libdbusmenu-qt.so.2.6.0
3168430000-3168630000 ---p 00030000 08:01 413567                         /usr/lib64/libdbusmenu-qt.so.2.6.0
3168630000-3168631000 r--p 00030000 08:01 413567                         /usr/lib64/libdbusmenu-qt.so.2.6.0
3168631000-3168632000 rw-p 00031000 08:01 413567                         /usr/lib64/libdbusmenu-qt.so.2.6.0
3168800000-3168854000 r-xp 00000000 08:01 413566                         /usr/lib64/libQtSvg.so.4.8.2
3168854000-3168a53000 ---p 00054000 08:01 413566                         /usr/lib64/libQtSvg.so.4.8.2
3168a53000-3168a56000 rw-p 00053000 08:01 413566                         /usr/lib64/libQtSvg.so.4.8.2
316a400000-316a4de000 r-xp 00000000 08:01 413569                         /usr/lib64/libsoprano.so.4.3.0
316a4de000-316a6dd000 ---p 000de000 08:01 413569                         /usr/lib64/libsoprano.so.4.3.0
316a6dd000-316a6e3000 r--p 000dd000 08:01 413569                         /usr/lib64/libsoprano.so.4.3.0
316a6e3000-316a6e5000 rw-p 000e3000 08:01 413569                         /usr/lib64/libsoprano.so.4.3.0
316ba00000-316ba71000 r-xp 00000000 08:01 413592                         /usr/lib64/libphonon.so.4.6.0
316ba71000-316bc71000 ---p 00071000 08:01 413592                         /usr/lib64/libphonon.so.4.6.0
316bc71000-316bc74000 r--p 00071000 08:01 413592                         /usr/lib64/libphonon.so.4.6.0
316bc74000-316bc76000 rw-p 00074000 08:01 413592                         /usr/lib64/libphonon.so.4.6.0
316be00000-316be20000 r-xp 00000000 08:01 413591                         /usr/lib64/libqzeitgeist.so.0.8.0
316be20000-316c020000 ---p 00020000 08:01 413591                         /usr/lib64/libqzeitgeist.so.0.8.0
316c020000-316c021000 r--p 00020000 08:01 413591                         /usr/lib64/libqzeitgeist.so.0.8.0
316c021000-316c022000 rw-p 00021000 08:01 413591                         /usr/lib64/libqzeitgeist.so.0.8.0
316d600000-316d618000 r-xp 00000000 08:01 403185                         /usr/lib64/libqimageblitz.so.4.0.0
316d618000-316d817000 ---p 00018000 08:01 403185                         /usr/lib64/libqimageblitz.so.4.0.0
316d817000-316d818000 r--p 00017000 08:01 403185                         /usr/lib64/libqimageblitz.so.4.0.0
316d818000-316d819000 rw-p 00018000 08:01 403185                         /usr/lib64/libqimageblitz.so.4.0.0
343e800000-343e89b000 r-xp 00000000 08:01 524543                         /usr/lib64/freetype-freeworld/libfreetype.so.6.8.0
343e89b000-343ea9b000 ---p 0009b000 08:01 524543                         /usr/lib64/freetype-freeworld/libfreetype.so.6.8.0
343ea9b000-343eaa1000 r--p 0009b000 08:01 524543                         /usr/lib64/freetype-freeworld/libfreetype.so.6.8.0
343eaa1000-343eaa2000 rw-p 000a1000 08:01 524543                         /usr/lib64/freetype-freeworld/libfreetype.so.6.8.0
3442800000-3442817000 r-xp 00000000 08:01 394060                         /usr/lib64/libspeex.so.1.5.0
3442817000-3442a17000 ---p 00017000 08:01 394060                         /usr/lib64/libspeex.so.1.5.0
3442a17000-3442a18000 r--p 00017000 08:01 394060                         /usr/lib64/libspeex.so.1.5.0
3442a18000-3442a19000 rw-p 00018000 08:01 394060                         /usr/lib64/libspeex.so.1.5.0
35f4800000-35f48d9000 r-xp 00000000 08:01 414089                         /usr/lib64/libkrb5.so.3.3
35f48d9000-35f4ad8000 ---p 000d9000 08:01 414089                         /usr/lib64/libkrb5.so.3.3
35f4ad8000-35f4ae2000 r--p 000d8000 08:01 414089                         /usr/lib64/libkrb5.so.3.3
35f4ae2000-35f4ae4000 rw-p 000e2000 08:01 414089                         /usr/lib64/libkrb5.so.3.3
35f4c00000-35f4c41000 r-xp 00000000 08:01 414090                         /usr/lib64/libgssapi_krb5.so.2.2
35f4c41000-35f4e41000 ---p 00041000 08:01 414090                         /usr/lib64/libgssapi_krb5.so.2.2
35f4e41000-35f4e42000 r--p 00041000 08:01 414090                         /usr/lib64/libgssapi_krb5.so.2.2
35f4e42000-35f4e44000 rw-p 00042000 08:01 414090                         /usr/lib64/libgssapi_krb5.so.2.2
35f5000000-35f500a000 r-xp 00000000 08:01 413893                         /usr/lib64/libkrb5support.so.0.1
35f500a000-35f5209000 ---p 0000a000 08:01 413893                         /usr/lib64/libkrb5support.so.0.1
35f5209000-35f520a000 r--p 00009000 08:01 413893                         /usr/lib64/libkrb5support.so.0.1
35f520a000-35f520b000 rw-p 0000a000 08:01 413893                         /usr/lib64/libkrb5support.so.0.1
35f5400000-35f5428000 r-xp 00000000 08:01 414088                         /usr/lib64/libk5crypto.so.3.1
35f5428000-35f5628000 ---p 00028000 08:01 414088                         /usr/lib64/libk5crypto.so.3.1
35f5628000-35f5629000 r--p 00028000 08:01 414088                         /usr/lib64/libk5crypto.so.3.1
35f5629000-35f562a000 rw-p 00029000 08:01 414088                         /usr/lib64/libk5crypto.so.3.1
35f562a000-35f562b000 rw-p 00000000 00:00 0 
35f5800000-35f5854000 r-xp 00000000 08:01 414091                         /usr/lib64/libssl.so.1.0.0j
35f5854000-35f5a53000 ---p 00054000 08:01 414091                         /usr/lib64/libssl.so.1.0.0j
35f5a53000-35f5a5b000 rw-p 00053000 08:01 414091                         /usr/lib64/libssl.so.1.0.0j
35f5c00000-35f5eb1000 r-xp 00000000 08:01 414093                         /usr/lib64/libkdecore.so.5.8.0
35f5eb1000-35f60b0000 ---p 002b1000 08:01 414093                         /usr/lib64/libkdecore.so.5.8.0
35f60b0000-35f60c9000 rw-p 002b0000 08:01 414093                         /usr/lib64/libkdecore.so.5.8.0
35f60c9000-35f60ca000 rw-p 00000000 00:00 0 
35f6200000-35f632d000 r-xp 00000000 08:01 414092                         /usr/lib64/libQtNetwork.so.4.8.2
35f632d000-35f652d000 ---p 0012d000 08:01 414092                         /usr/lib64/libQtNetwork.so.4.8.2
35f652d000-35f6535000 rw-p 0012d000 08:01 414092                         /usr/lib64/libQtNetwork.so.4.8.2
35f6600000-35f6a32000 r-xp 00000000 08:01 414095                         /usr/lib64/libkdeui.so.5.8.0
35f6a32000-35f6c31000 ---p 00432000 08:01 414095                         /usr/lib64/libkdeui.so.5.8.0
35f6c31000-35f6c67000 rw-p 00431000 08:01 414095                         /usr/lib64/libkdeui.so.5.8.0
35f6c67000-35f6c69000 rw-p 00000000 00:00 0 
35f6e00000-35f6ed4000 r-xp 00000000 08:01 414094                         /usr/lib64/libattica.so.0.3.0
35f6ed4000-35f70d4000 ---p 000d4000 08:01 414094                         /usr/lib64/libattica.so.0.3.0
35f70d4000-35f70d8000 r--p 000d4000 08:01 414094                         /usr/lib64/libattica.so.0.3.0
35f70d8000-35f70db000 rw-p 000d8000 08:01 414094                         /usr/lib64/libattica.so.0.3.0
35f7200000-35f724a000 r-xp 00000000 08:01 414101                         /usr/lib64/libsopranoclient.so.1.2.0
35f724a000-35f744a000 ---p 0004a000 08:01 414101                         /usr/lib64/libsopranoclient.so.1.2.0
35f744a000-35f744c000 r--p 0004a000 08:01 414101                         /usr/lib64/libsopranoclient.so.1.2.0
35f744c000-35f744d000 rw-p 0004c000 08:01 414101                         /usr/lib64/libsopranoclient.so.1.2.0
35f7600000-35f76d2000 r-xp 00000000 08:01 414102                         /usr/lib64/libnepomuk.so.4.8.0
35f76d2000-35f78d2000 ---p 000d2000 08:01 414102                         /usr/lib64/libnepomuk.so.4.8.0
35f78d2000-35f78d6000 rw-p 000d2000 08:01 414102                         /usr/lib64/libnepomuk.so.4.8.0
35f7a00000-35f7a46000 r-xp 00000000 08:01 414103                         /usr/lib64/libnepomukquery.so.4.8.0
35f7a46000-35f7c46000 ---p 00046000 08:01 414103                         /usr/lib64/libnepomukquery.so.4.8.0
35f7c46000-35f7c48000 rw-p 00046000 08:01 414103                         /usr/lib64/libnepomukquery.so.4.8.0
35f7e00000-35f7eba000 r-xp 00000000 08:01 414107                         /usr/lib64/libsolid.so.4.8.0
35f7eba000-35f80ba000 ---p 000ba000 08:01 414107                         /usr/lib64/libsolid.so.4.8.0
35f80ba000-35f80cb000 rw-p 000ba000 08:01 414107                         /usr/lib64/libsolid.so.4.8.0
35f8200000-35f8238000 r-xp 00000000 08:01 414104                         /usr/lib64/libnepomukutils.so.4.8.0
35f8238000-35f8437000 ---p 00038000 08:01 414104                         /usr/lib64/libnepomukutils.so.4.8.0
35f8437000-35f843a000 rw-p 00037000 08:01 414104                         /usr/lib64/libnepomukutils.so.4.8.0
35f8600000-35f8711000 r-xp 00000000 08:01 414106                         /usr/lib64/libHUpnp.so.1.0.0
35f8711000-35f8911000 ---p 00111000 08:01 414106                         /usr/lib64/libHUpnp.so.1.0.0
35f8911000-35f8918000 rw-p 00111000 08:01 414106                         /usr/lib64/libHUpnp.so.1.0.0
35f8a00000-35f8a23000 r-xp 00000000 08:01 414105                         /usr/lib64/libqtsoap.so.2.7.0
35f8a23000-35f8c22000 ---p 00023000 08:01 414105                         /usr/lib64/libqtsoap.so.2.7.0
35f8c22000-35f8c24000 rw-p 00022000 08:01 414105                         /usr/lib64/libqtsoap.so.2.7.0
35f8e00000-35f9090000 r-xp 00000000 08:01 414108                         /usr/lib64/libkio.so.5.8.0
35f9090000-35f9290000 ---p 00290000 08:01 414108                         /usr/lib64/libkio.so.5.8.0
35f9290000-35f92aa000 rw-p 00290000 08:01 414108                         /usr/lib64/libkio.so.5.8.0
35f9400000-35f9408000 r-xp 00000000 08:01 414174                         /usr/lib64/libkpty.so.4.8.0
35f9408000-35f9608000 ---p 00008000 08:01 414174                         /usr/lib64/libkpty.so.4.8.0
35f9608000-35f9609000 rw-p 00008000 08:01 414174                         /usr/lib64/libkpty.so.4.8.0
35f9800000-35f984f000 r-xp 00000000 08:01 414109                         /usr/lib64/libkparts.so.4.8.0
35f984f000-35f9a4e000 ---p 0004f000 08:01 414109                         /usr/lib64/libkparts.so.4.8.0
35f9a4e000-35f9a53000 rw-p 0004e000 08:01 414109                         /usr/lib64/libkparts.so.4.8.0
35f9c00000-35f9c0f000 r-xp 00000000 08:01 414112                         /usr/lib64/libkemoticons.so.4.8.0
35f9c0f000-35f9e0f000 ---p 0000f000 08:01 414112                         /usr/lib64/libkemoticons.so.4.8.0
35f9e0f000-35f9e10000 rw-p 0000f000 08:01 414112                         /usr/lib64/libkemoticons.so.4.8.0
35fa400000-35fa43c000 r-xp 00000000 08:01 414114                         /usr/lib64/libkcmutils.so.4.8.0
35fa43c000-35fa63b000 ---p 0003c000 08:01 414114                         /usr/lib64/libkcmutils.so.4.8.0
35fa63b000-35fa63f000 rw-p 0003b000 08:01 414114                         /usr/lib64/libkcmutils.so.4.8.0
35fb200000-35fb2a1000 r-xp 00000000 08:01 414119                         /usr/lib64/libkfile.so.4.8.0
35fb2a1000-35fb4a0000 ---p 000a1000 08:01 414119                         /usr/lib64/libkfile.so.4.8.0
35fb4a0000-35fb4a8000 rw-p 000a0000 08:01 414119                         /usr/lib64/libkfile.so.4.8.0
35fb600000-35fb622000 r-xp 00000000 08:01 414138                         /usr/lib64/libkresources.so.4.8.0
35fb622000-35fb822000 ---p 00022000 08:01 414138                         /usr/lib64/libkresources.so.4.8.0
35fb822000-35fb824000 rw-p 00022000 08:01 414138                         /usr/lib64/libkresources.so.4.8.0
35fbe00000-35fbe8c000 r-xp 00000000 08:01 414139                         /usr/lib64/libkabc.so.4.8.0
35fbe8c000-35fc08c000 ---p 0008c000 08:01 414139                         /usr/lib64/libkabc.so.4.8.0
35fc08c000-35fc091000 rw-p 0008c000 08:01 414139                         /usr/lib64/libkabc.so.4.8.0
35fe600000-35fe602000 r-xp 00000000 08:01 414116                         /usr/lib64/libkutils.so.4.8.0
35fe602000-35fe801000 ---p 00002000 08:01 414116                         /usr/lib64/libkutils.so.4.8.0
35fe801000-35fe802000 rw-p 00001000 08:01 414116                         /usr/lib64/libkutils.so.4.8.0
35fea00000-35fea0e000 r-xp 00000000 08:01 414113                         /usr/lib64/libkidletime.so.4.8.0
35fea0e000-35fec0d000 ---p 0000e000 08:01 414113                         /usr/lib64/libkidletime.so.4.8.0
35fec0d000-35fec0f000 rw-p 0000d000 08:01 414113                         /usr/lib64/libkidletime.so.4.8.0
35fee00000-35fee06000 r-xp 00000000 08:01 414115                         /usr/lib64/libkprintutils.so.4.8.0
35fee06000-35ff005000 ---p 00006000 08:01 414115                         /usr/lib64/libkprintutils.so.4.8.0
35ff005000-35ff006000 rw-p 00005000 08:01 414115                         /usr/lib64/libkprintutils.so.4.8.0
3600600000-3600610000 r-xp 00000000 08:01 414162                         /usr/lib64/libknotifyconfig.so.4.8.0
3600610000-360080f000 ---p 00010000 08:01 414162                         /usr/lib64/libknotifyconfig.so.4.8.0
360080f000-3600811000 rw-p 0000f000 08:01 414162                         /usr/lib64/libknotifyconfig.so.4.8.0
3600a00000-3600a3c000 r-xp 00000000 08:01 399401                         /usr/lib64/libktexteditor.so.4.8.0
3600a3c000-3600c3b000 ---p 0003c000 08:01 399401                         /usr/lib64/libktexteditor.so.4.8.0
3600c3b000-3600c40000 rw-p 0003b000 08:01 399401                         /usr/lib64/libktexteditor.so.4.8.0
3601200000-36014b7000 r-xp 00000000 08:01 410481                         /usr/lib64/libQt3Support.so.4.8.2
36014b7000-36016b6000 ---p 002b7000 08:01 410481                         /usr/lib64/libQt3Support.so.4.8.2
36016b6000-36016d1000 rw-p 002b6000 08:01 410481                         /usr/lib64/libQt3Support.so.4.8.2
3601c00000-36022d1000 r-xp 00000000 08:01 413104                         /usr/lib64/libkhtml.so.5.8.0
36022d1000-36024d1000 ---p 006d1000 08:01 413104                         /usr/lib64/libkhtml.so.5.8.0
36024d1000-3602564000 rw-p 006d1000 08:01 413104                         /usr/lib64/libkhtml.so.5.8.0
3602564000-3602566000 rw-p 00000000 00:00 0 
3602e00000-3602eee000 r-xp 00000000 08:01 414175                         /usr/lib64/libkde3support.so.4.8.0
3602eee000-36030ee000 ---p 000ee000 08:01 414175                         /usr/lib64/libkde3support.so.4.8.0
36030ee000-36030fc000 rw-p 000ee000 08:01 414175                         /usr/lib64/libkde3support.so.4.8.0
36dd800000-36dd857000 r-xp 00000000 08:01 408380                         /usr/lib64/libkopetecontactlist.so.1.0.0
36dd857000-36dda57000 ---p 00057000 08:01 408380                         /usr/lib64/libkopetecontactlist.so.1.0.0
36dda57000-36dda5b000 rw-p 00057000 08:01 408380                         /usr/lib64/libkopetecontactlist.so.1.0.0
36ddc00000-36ddd25000 r-xp 00000000 08:01 401417                         /usr/lib64/libkopete.so.4.8.0
36ddd25000-36ddf24000 ---p 00125000 08:01 401417                         /usr/lib64/libkopete.so.4.8.0
36ddf24000-36ddf32000 rw-p 00124000 08:01 401417                         /usr/lib64/libkopete.so.4.8.0
36de000000-36de00a000 r-xp 00000000 08:01 402016                         /usr/lib64/libkopeteaddaccountwizard.so.1.0.0
36de00a000-36de20a000 ---p 0000a000 08:01 402016                         /usr/lib64/libkopeteaddaccountwizard.so.1.0.0
36de20a000-36de20b000 rw-p 0000a000 08:01 402016                         /usr/lib64/libkopeteaddaccountwizard.so.1.0.0
36de400000-36de412000 r-xp 00000000 08:01 408381                         /usr/lib64/libkopeteidentity.so.1.0.0
36de412000-36de611000 ---p 00012000 08:01 408381                         /usr/lib64/libkopeteidentity.so.1.0.0
36de611000-36de613000 rw-p 00011000 08:01 408381                         /usr/lib64/libkopeteidentity.so.1.0.0
36de800000-36de81c000 r-xp 00000000 08:01 395568                         /usr/lib64/libkopete_videodevice.so.4.8.0
36de81c000-36dea1c000 ---p 0001c000 08:01 395568                         /usr/lib64/libkopete_videodevice.so.4.8.0
36dea1c000-36dea1d000 rw-p 0001c000 08:01 395568                         /usr/lib64/libkopete_videodevice.so.4.8.0
36dea1d000-36dea1e000 rw-p 00000000 00:00 0 
36dec00000-36dec0e000 r-xp 00000000 08:01 408379                         /usr/lib64/libkopetestatusmenu.so.1.0.0
36dec0e000-36dee0d000 ---p 0000e000 08:01 408379                         /usr/lib64/libkopetestatusmenu.so.1.0.0
36dee0d000-36dee0f000 rw-p 0000d000 08:01 408379                         /usr/lib64/libkopetestatusmenu.so.1.0.0
3c15a00000-3c15a20000 r-xp 00000000 08:01 397906                         /usr/lib64/ld-2.15.so
3c15c1f000-3c15c20000 r--p 0001f000 08:01 397906                         /usr/lib64/ld-2.15.so
3c15c20000-3c15c21000 rw-p 00020000 08:01 397906                         /usr/lib64/ld-2.15.so
3c15c21000-3c15c22000 rw-p 00000000 00:00 0 
3c15e00000-3c15f1d000 r-xp 00000000 08:01 398679                         /usr/lib64/libglib-2.0.so.0.3200.3
3c15f1d000-3c1611c000 ---p 0011d000 08:01 398679                         /usr/lib64/libglib-2.0.so.0.3200.3
3c1611c000-3c1611d000 r--p 0011c000 08:01 398679                         /usr/lib64/libglib-2.0.so.0.3200.3
3c1611d000-3c1611e000 rw-p 0011d000 08:01 398679                         /usr/lib64/libglib-2.0.so.0.3200.3
3c1611e000-3c1611f000 rw-p 00000000 00:00 0 
3c16200000-3c163ac000 r-xp 00000000 08:01 397909                         /usr/lib64/libc-2.15.so
3c163ac000-3c165ac000 ---p 001ac000 08:01 397909                         /usr/lib64/libc-2.15.so
3c165ac000-3c165b0000 r--p 001ac000 08:01 397909                         /usr/lib64/libc-2.15.soKCrash: Application 'kopete' crashing...
KCrash: Attempting to start /usr/libexec/kde4/drkonqi from kdeinit
sock_file=/home/max/.kde/socket-workstation/kdeinit4__0
Comment 1 Milos Jakubicek 2012-06-20 17:04:53 EDT
I can confirm this issue on Fedora 17. As a workaround, it is enough to comment out the [Account_JabberProtocol_<jabberaccount>] section (by "#").
Comment 2 Milos Jakubicek 2012-06-20 17:05:35 EDT
...sorry, forgot to mention: this section is in the .kde/share/config/kopeterc file.
Comment 3 Kevin Kofler 2012-06-26 20:01:20 EDT
This appears to be a bug in ucommon (which is where libcommoncpp.so.5 comes from). It would be nice to have a backtrace with debugging information (from GDB, with at least ucommon-debuginfo and glibc-debuginfo installed) though.
Comment 4 David Sugar 2012-06-27 04:35:45 EDT
Offhand I am surprised kopete is using libcommoncpp.  That this appears to be in the constructor for IPV4Host is curious, too.  I actually do see a number of problematic issues with this constructor, though, which is amusing for such an especially short bit of code, and I am guessing it is most likely with the statically initialized _host_ object itself, for most other uses would seem potentially broken.  This machinary all seemed designed to avoid multiple gethostname() calls and probably should be scrapped and simplified.  I would like to see a more complete backtrace also, though, or at least before proposing a specific fix or patch.
Comment 5 Milos Jakubicek 2012-06-27 04:47:25 EDT
Kevin, thanks, please have a look at the upstream report I just linked, a full backtrace is there.
Comment 6 nucleo 2012-06-27 04:50:32 EDT
(In reply to comment #4)
> Offhand I am surprised kopete is using libcommoncpp.

kopete_jabber.so depends on libortp built against libzrtpcpp and libcommoncpp.
See also bug 824267.
Comment 7 David Sugar 2012-06-27 05:11:01 EDT
I have a simple patch to try.  Meantime I am going to look at having a special 5.2.3 build for this.

diff --git i/commoncpp/address.cpp w/commoncpp/address.cpp
index 24eeb2b..967d154 100644
--- i/commoncpp/address.cpp
+++ w/commoncpp/address.cpp
@@ -360,7 +360,7 @@ void IPV4Address::setAddress(const char *host)
             if(ipaddr)
                 delete[] ipaddr;
             ipaddr = new struct in_addr[1];
-            memset((void *)&ipaddr[0], 0, sizeof(ipaddr));
+            memset((void *)&ipaddr[0], 0, sizeof(struct in_addr));
             return;
         }

@@ -498,7 +498,7 @@ IPV6Address::IPV6Address(const IPV6Validator *_validator)
     : validator(_validator), hostname(NULL) {
     addr_count = 1;
     ipaddr = new struct in6_addr[1];
-    memcpy(ipaddr, &in6addr_any, sizeof(in6_addr));
+    memcpy(ipaddr, &in6addr_any, sizeof(struct in6_addr));
 }

 IPV6Address::IPV6Address(const char *address, const IPV6Validator *_validator) :
@@ -716,7 +716,7 @@ void IPV6Address::setAddress(const char *host)
             if(ipaddr)
                 delete[] ipaddr;
             ipaddr = new struct in6_addr[1];
-            memset((void *)&ipaddr[0], 0, sizeof(ipaddr));
+            memset((void *)&ipaddr[0], 0, sizeof(struct in6_addr));
             return;
         }

@@ -796,7 +796,7 @@ void IPV6Address::setAddress(const char *host)
             if(ipaddr)
                 delete[] ipaddr;
             ipaddr = new struct in6_addr[1];
-            memset((void *)&ipaddr[0], 0, sizeof(ipaddr));
+            memset((void *)&ipaddr[0], 0, sizeof(struct in6_addr));
             return;
         }
Comment 8 nucleo 2012-06-27 05:29:44 EDT
(In reply to comment #7)
> I have a simple patch to try.  Meantime I am going to look at having a
> special 5.2.3 build for this.

Should it fix crash from bug 824267?
Comment 9 Milos Jakubicek 2012-06-27 05:44:03 EDT
I can confirm it solves the issue, David, thanks a lot!
Here is a quick and dirty scratch build for F17:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4199843
Comment 10 David Sugar 2012-06-27 06:06:42 EDT
Offhand, I think it also fixes 824267.

I may not have a chance to do an official build for F17 until later tonight (yes, I am an upstream that also maintains my packages in F17 ;).  But that will 5.2.3.  I also am going to update to 5.4.2 for rawhide (F18) with this fix...
Comment 11 Fedora Update System 2012-06-27 11:18:39 EDT
ucommon-5.2.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ucommon-5.2.3-1.fc17
Comment 12 Max 2012-06-27 12:41:46 EDT
I can confirm no crush after updating to ucommon-5.2.3-1.fc17 

Thanks a lot guys! Great job!
Comment 13 Fedora Update System 2012-06-27 23:40:33 EDT
Package ucommon-5.2.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ucommon-5.2.3-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10013/ucommon-5.2.3-1.fc17
then log in and leave karma (feedback).
Comment 14 nucleo 2012-06-28 04:10:57 EDT
*** Bug 824267 has been marked as a duplicate of this bug. ***
Comment 15 Wesley Burr 2012-06-29 19:45:39 EDT
5.2.3-1 corrected this issue for me as well, thanks for the quick update.
Comment 16 rob.dyck 2012-07-02 23:04:39 EDT
Did not start

backtrace_rating: 4
Package: linphone-3.5.2-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 17 rob.dyck 2012-07-02 23:04:46 EDT
Created attachment 595871 [details]
File: backtrace
Comment 18 rob.dyck 2012-07-02 23:49:33 EDT
Sorry about the duplicate report. It was generated by the bug reporting tool.
Updating ucommon fixed linphone.
Comment 19 Fedora Update System 2012-07-05 19:37:24 EDT
ucommon-5.2.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Rex Dieter 2012-07-24 10:56:42 EDT
*** Bug 833733 has been marked as a duplicate of this bug. ***
Comment 21 Paulo Fessel 2012-08-09 12:09:39 EDT
twinkle is broken despite this update:

*** buffer overflow detected ***: twinkle terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x34897097c7]
/lib64/libc.so.6[0x3489707980]
/lib64/libccgnu2-1.8.so.0[0x3497e28e73]
/lib64/libccgnu2-1.8.so.0(_ZN3ost8IPV4HostC1EPKc+0xa8)[0x3497e295f8]
/lib64/libcommoncpp.so.5[0x3493e20091]
/lib64/ld-linux-x86-64.so.2[0x348920ee26]
/lib64/ld-linux-x86-64.so.2[0x348920eee0]
/lib64/ld-linux-x86-64.so.2[0x348920156a]
======= Memory map: ========
00400000-00714000 r-xp 00000000 fd:00 674471                             /usr/bin/twinkle
00913000-00919000 rw-p 00313000 fd:00 674471                             /usr/bin/twinkle
00b18000-00b66000 rw-p 00318000 fd:00 674471                             /usr/bin/twinkle
025c1000-025e2000 rw-p 00000000 00:00 0                                  [heap]
3489200000-3489220000 r-xp 00000000 fd:00 665035                         /usr/lib64/ld-2.15.so
348941f000-3489420000 r--p 0001f000 fd:00 665035                         /usr/lib64/ld-2.15.so
3489420000-3489421000 rw-p 00020000 fd:00 665035                         /usr/lib64/ld-2.15.so
3489421000-3489422000 rw-p 00000000 00:00 0 
3489600000-34897ac000 r-xp 00000000 fd:00 665323                         /usr/lib64/libc-2.15.so
34897ac000-34899ac000 ---p 001ac000 fd:00 665323                         /usr/lib64/libc-2.15.so
34899ac000-34899b0000 r--p 001ac000 fd:00 665323                         /usr/lib64/libc-2.15.so
34899b0000-34899b2000 rw-p 001b0000 fd:00 665323                         /usr/lib64/libc-2.15.so
34899b2000-34899b7000 rw-p 00000000 00:00 0 
3489a00000-3489afa000 r-xp 00000000 fd:00 670534                         /usr/lib64/libm-2.15.so
3489afa000-3489cf9000 ---p 000fa000 fd:00 670534                         /usr/lib64/libm-2.15.so
3489cf9000-3489cfa000 r--p 000f9000 fd:00 670534                         /usr/lib64/libm-2.15.so
3489cfa000-3489cfb000 rw-p 000fa000 fd:00 670534                         /usr/lib64/libm-2.15.so
3489e00000-3489e03000 r-xp 00000000 fd:00 665440                         /usr/lib64/libdl-2.15.so
3489e03000-348a002000 ---p 00003000 fd:00 665440                         /usr/lib64/libdl-2.15.so
348a002000-348a003000 r--p 00002000 fd:00 665440                         /usr/lib64/libdl-2.15.so
348a003000-348a004000 rw-p 00003000 fd:00 665440                         /usr/lib64/libdl-2.15.so
348a200000-348a216000 r-xp 00000000 fd:00 668075                         /usr/lib64/libpthread-2.15.so
348a216000-348a416000 ---p 00016000 fd:00 668075                         /usr/lib64/libpthread-2.15.so
348a416000-348a417000 r--p 00016000 fd:00 668075                         /usr/lib64/libpthread-2.15.so
348a417000-348a418000 rw-p 00017000 fd:00 668075                         /usr/lib64/libpthread-2.15.so
348a418000-348a41c000 rw-p 00000000 00:00 0 
348a600000-348a607000 r-xp 00000000 fd:00 665469                         /usr/lib64/librt-2.15.so
348a607000-348a806000 ---p 00007000 fd:00 665469                         /usr/lib64/librt-2.15.so
348a806000-348a807000 r--p 00006000 fd:00 665469                         /usr/lib64/librt-2.15.so
348a807000-348a808000 rw-p 00007000 fd:00 665469                         /usr/lib64/librt-2.15.so
348aa00000-348aa17000 r-xp 00000000 fd:00 665418                         /usr/lib64/libz.so.1.2.5
348aa17000-348ac16000 ---p 00017000 fd:00 665418                         /usr/lib64/libz.so.1.2.5
348ac16000-348ac17000 rw-p 00016000 fd:00 665418                         /usr/lib64/libz.so.1.2.5
348ae00000-348ae15000 r-xp 00000000 fd:00 669994                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
348ae15000-348b014000 ---p 00015000 fd:00 669994                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
348b014000-348b015000 rw-p 00014000 fd:00 669994                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
348b200000-348b314000 r-xp 00000000 fd:00 679271                         /usr/lib64/libboost_regex.so.1.48.0
348b314000-348b513000 ---p 00114000 fd:00 679271                         /usr/lib64/libboost_regex.so.1.48.0
348b513000-348b518000 r--p 00113000 fd:00 679271                         /usr/lib64/libboost_regex.so.1.48.0
348b518000-348b51b000 rw-p 00118000 fd:00 679271                         /usr/lib64/libboost_regex.so.1.48.0
348b600000-348b616000 r-xp 00000000 fd:00 665566                         /usr/lib64/libresolv-2.15.so
348b616000-348b816000 ---p 00016000 fd:00 665566                         /usr/lib64/libresolv-2.15.so
348b816000-348b817000 r--p 00016000 fd:00 665566                         /usr/lib64/libresolv-2.15.so
348b817000-348b818000 rw-p 00017000 fd:00 665566                         /usr/lib64/libresolv-2.15.so
348b818000-348b81a000 rw-p 00000000 00:00 0 
348ba00000-348ba02000 r-xp 00000000 fd:00 675121                         /usr/lib64/libXau.so.6.0.0
348ba02000-348bc02000 ---p 00002000 fd:00 675121                         /usr/lib64/libXau.so.6.0.0
348bc02000-348bc03000 r--p 00002000 fd:00 675121                         /usr/lib64/libXau.so.6.0.0
348bc03000-348bc04000 rw-p 00003000 fd:00 675121                         /usr/lib64/libXau.so.6.0.0
348be00000-348be1d000 r-xp 00000000 fd:00 675157                         /usr/lib64/libxcb.so.1.1.0
348be1d000-348c01c000 ---p 0001d000 fd:00 675157                         /usr/lib64/libxcb.so.1.1.0
348c01c000-348c01d000 r--p 0001c000 fd:00 675157                         /usr/lib64/libxcb.so.1.1.0
348c01d000-348c01e000 rw-p 0001d000 fd:00 675157                         /usr/lib64/libxcb.so.1.1.0
348c200000-348c26e000 r-xp 00000000 fd:00 679324                         /usr/lib64/libmng.so.1.0.0
348c26e000-348c46e000 ---p 0006e000 fd:00 679324                         /usr/lib64/libmng.so.1.0.0
348c46e000-348c471000 r--p 0006e000 fd:00 679324                         /usr/lib64/libmng.so.1.0.0
348c471000-348c473000 rw-p 00071000 fd:00 679324                         /usr/lib64/libmng.so.1.0.0
348c600000-348c734000 r-xp 00000000 fd:00 676484                         /usr/lib64/libX11.so.6.3.0
348c734000-348c934000 ---p 00134000 fd:00 676484                         /usr/lib64/libX11.so.6.3.0
348c934000-348c935000 r--p 00134000 fd:00 676484                         /usr/lib64/libX11.so.6.3.0
348c935000-348c93a000 rw-p 00135000 fd:00 676484                         /usr/lib64/libX11.so.6.3.0
348ca00000-348ca10000 r-xp 00000000 fd:00 679418                         /usr/lib64/libXext.so.6.4.0
348ca10000-348cc10000 ---p 00010000 fd:00 679418                         /usr/lib64/libXext.so.6.4.0
Abortado (imagem do núcleo gravada)

I've reported this problem (842213), but it's been marked as a duplicate of this bug.
Comment 22 Rex Dieter 2012-08-09 13:06:12 EDT
Hard to say for sure, the backtrace in bug#842213 doesn't look useful (missing a  lot of -debuginfo, glibc in particular)

If you could get a new backtrace, that would be helpful.
Comment 23 David Sugar 2012-08-09 13:13:30 EDT
Twinkle is still using the much older commoncpp2 library, rather than commoncpp2 from ucommon, at least from what I gather from the above dump.  The bug fixed in ucommon certainly existed in the last releases of commoncpp2 from several years ago as well.

I do have a patch set that can be used for twinkle to use the newer ccrtp/ucommon/cppzrtp libraries.  I actually suggest going that route, if the twinkle package maintainer wishes to apply it.  Otherwise we could do a simple patch for the older (pre-ucommon) commoncpp2 libs.  I don't maintain either of these in Fedora though.

I agree twinkle should have a new or separate bug report for this in any case.
Comment 24 Rex Dieter 2012-08-09 13:22:48 EDT
where is this "much older commoncpp2 library" to which you refer?  As far as  I can tell, twinkle links against commoncpp2 from ucommon.


$ ldd /usr/bin/twinkle | grep common
        libcommoncpp.so.5 => /lib64/libcommoncpp.so.5 (0x00007fbc91a96000)
        libucommon.so.5 => /lib64/libucommon.so.5 (0x00007fbc918200)

$ rpm -q -f /lib64/libcommoncpp.so.5 /lib64/libucommon.so.5
ucommon-5.2.3-1.fc17.x86_64
ucommon-5.2.3-1.fc17.x86_64
Comment 25 David Sugar 2012-08-09 13:59:51 EDT
Rex, I was looking at his published dump and it ALSO shows libccgnu2-1.8.so!

Note You need to log in before you can comment on or make changes to this bug.